Linking BHPS - Understanding Society
05/30/2012 02:46 PM - Melanie Luhrmann

Status: Closed Start date: 05/30/2012
Priority: Urgent % Done: 100%
Assignee: Redmine Admin

Category: Data analysis

Description

I am using BHPs data and wish to link it a) to the BHPS sample households in Understanding Society, and b) use a pooled sample of
BHPS and Understanding Society data as a repeated cross-section of households.

May | ask two questions about this?

1. s there any documentation that allows me to easily check whether a BHPS variable is available in Understanding Society as
well and to find out what the corresponding variable name in US is?

2. | am trying to link some information about mothers (from indresp) to their children (birthweight, date of birth...). | am having a
hard time getting the kids data together because part of it seems to be located in nat_child and part in child. Is this correct?

3. With which identifiers do | merge data on mothers with their kids?

Thank you very much for your help.

Best,
Melanie

History

#1 - 05/30/2012 03:18 PM - Redmine Admin
- Status changed from New to In Progress
- Assignee set to Redmine Admin

- % Done changed from 0 to 50
Melanie,
1. Is there any documentation that allows me to easily check whether a BHPS variable is available in Understanding Society as well and to find

out what the corresponding variable name in US is?

The user guide explains how Understanding Society has been designed to incorporate the BHPS sample. The design papers also outline some of the
differences between the two surveys. Where UKHLS questionnaire modules are close to identical to BHPS, we try to keep variable names consitent
with BHPS. That's the general case, now for the specific..
2. I am trying to link some information about mothers (from indresp) to their children (birthweight, date of birth...). I am having a hard time getting
the kids data together because part of it seems to be located in nat_child and part in child. Is this correct?
Suggest you give some more detail here about the analysis and the variables you would like to use.
3. With which identifiers do | merge data on mothers with their kids?

The user guide shows a way to match individuals within a household. For your purpose you could use pno of bioloigcal mother instead of pno of
partner/spouse (hgpart)

Jakob
#2 - 05/30/2012 05:55 PM - Melanie Luhrmann
Thanks, Jacob.

The file a_natchild has 26 observations which are not uniquely identified by hidp and childno (and has different Ichno within the same hidp and
childno). Could you please explain why that is?

I would like to merge the birthweight data from that file with the age information (dvage) in the a_child dataset. | tried to do this by using the pno from
child (which I think should be equivalent to childno in natchild) but due to the above problem does not work.
https://www.understandingsociety.ac.uk/documentation/mainstage
https://www.understandingsociety.ac.uk/documentation/mainstage
https://www.understandingsociety.ac.uk/search?q=hgbiom

Any comments highly appreciated!

#3 - 05/31/2012 09:39 AM - Redmine Admin
- % Done changed from 50 to 70

NATCHILD records both resident and non-resident children (together identified by childno) - only the former will have been enumerated (identified by
Ichno).

a_lchlv —-- child resident - biological
1 yes
2 no
3 died
4 stillborn

To get the age of resident children (of any age) you could merge in the age variable from the enumeration grid.

To do this in Stata you could temporarily rename the identifiers like this

use a_natchild, clear

rename a_pno a_apno

rename a_lchno a_pno

merge m:1 a_hidp a_pno using a_indall, keepus(a_sex a_dvage) keep(l 3) nogen

#4 - 06/26/2012 12:20 PM - Redmine Admin
- Status changed from In Progress to Closed

- % Done changed from 70 to 100
